Summary: smail mail transport agent
Name: smail
Version: 3.2.0.92
Release: 1
Copyright: GPL-like
Group: Daemons
Source: ftp://ftp.uu.net/networking/mail/smail/smail-3.2.0.92.tar.gz
Source1: smail-batching.tgz
Source2: smail.cron
Source3: smail.log
Source4: smail-configs.tgz
Source5: smail-init.tgz
Patch: smail-config.patch
Requires: gzip
Provides: smtpdaemon
BuildRoot: /tmp/smail

%description
smail is an alternative mail transport agent, easy to configure and
with flexible routing especially in uucp networks.

%prep
rm -rf $RPM_BUILD_ROOT
%setup
tar -xvzf $RPM_SOURCE_DIR/smail-batching.tgz -C $RPM_BUILD_DIR/smail-3.2.0.92
%patch -p1

%build
make everything

%install
mkdir -p $RPM_BUILD_ROOT/usr/sbin
install -m 4555 -s src/smail $RPM_BUILD_ROOT/usr/sbin/smail
for i in mailq pathto rsmtp rmail runq smtpd uupath sendmail; do
  ln -s smail $RPM_BUILD_ROOT/usr/sbin/$i
done
# Other places where these programs are also often expected
mkdir -p $RPM_BUILD_ROOT/usr/lib
ln -s /usr/sbin/smail $RPM_BUILD_ROOT/usr/lib/sendmail
mkdir -p $RPM_BUILD_ROOT/bin
ln -s /usr/sbin/smail $RPM_BUILD_ROOT/bin/rmail

for i in checkerr dcasehost mkaliases mkdbm mksort; do
  install -m 0777 util/$i $RPM_BUILD_ROOT/usr/sbin/$i
done

mkdir -p $RPM_BUILD_ROOT/etc/smail{,/lists,/methods}
mkdir -p $RPM_BUILD_ROOT/var/spool/smail
install -m 0755 rcsmtp $RPM_BUILD_ROOT/usr/sbin/rcsmtp
install -m 0755 batchcsmtp $RPM_BUILD_ROOT/usr/sbin/batchcsmtp

mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/man/man5
mkdir -p $RPM_BUILD_ROOT/usr/man/man8

for i in pathto uupath; do
  install -m 0644 man/man1/$i.1 $RPM_BUILD_ROOT/usr/man/man1/$i.1
done

for i in smail smailconf smaildrct smailmeth smailqual smailrtrs smailrtry \
  smailtrns; do
  install -m 0644 man/man5/$i.5 $RPM_BUILD_ROOT/usr/man/man5/$i.5
done

for i in checkerr mailq mkaliases mkdbm mksort pathalias rmail rsmtp runq \
  sendmail smail smtpd; do
  install -m 0644 man/man8/$i.8 $RPM_BUILD_ROOT/usr/man/man8/$i.8
done

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 0644 $RPM_SOURCE_DIR/smail.log $RPM_BUILD_ROOT/etc/logrotate.d/smail
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
install -m 0755 $RPM_SOURCE_DIR/smail.cron $RPM_BUILD_ROOT/etc/cron.daily/smail
mkdir -p $RPM_BUILD_ROOT/etc/smail
tar -xvzf $RPM_SOURCE_DIR/smail-configs.tgz -C $RPM_BUILD_ROOT/etc/smail
mkdir -p $RPM_BUILD_ROOT/etc/rc.d
tar -xvzf $RPM_SOURCE_DIR/smail-init.tgz -C $RPM_BUILD_ROOT/etc/rc.d

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING NOTES PROJECTS README guide
/var/spool/smail
/usr/lib
/usr/man
/usr/sbin
/bin
/etc/logrotate.d
/etc/cron.daily
/etc/rc.d
%config /etc/smail/config
%config /etc/smail/directors
%config /etc/smail/paths
%config /etc/smail/routers
%config /etc/smail/transports
%config /etc/smail/methods/uucp
/etc/smail/lists/README
/etc/smail/lists/owner/README
/etc/smail/lists/request/README
